<template>
  <div>
    <h2>{{ fullname(abonent) }}</h2>
    <strong>Паспорт:</strong><br>
    <dl class="row">
      <dt class="col-2">Серия</dt>
      <dd class="col-10">{{ abonent.passport_series }}</dd>

      <dt class="col-2">Номер</dt>
      <dd class="col-10">{{ abonent.passport_number }}</dd>

      <dt class="col-2">Выдан</dt>
      <dd class="col-10">{{ abonent.passport_issuer }}</dd>

      <dt class="col-2">Телефон</dt>
      <dd class="col-10">{{ abonent.phone }}</dd>

      <dt class="col-2">Пол</dt>
      <dd class="col-10">{{ abonent.gender }}</dd>
    </dl>
    <nuxt-link tag="button" class="btn btn-primary" :to="`/abonents/${abonent._id}/update`">Редактировать</nuxt-link>
    <b-button @click="remove(abonent)" variant="danger">Удалить</b-button>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL }, params }) {
    return axios.get(`${baseURL}/abonents/${params.id}`).then((resp) => { return { abonent: resp.data, baseURL } })
  },
  head () {
    return {
      title: 'Абонент'
    }
  },
  methods: {
    fullname (abonent) {
      return `${abonent.lname} ${abonent.fname} ${abonent.mname}`
    },
    async remove (abonent) {
      console.log(this.baseURL)
      if (!confirm('Are you sure?')) {
        return
      }
      const response = await axios.delete(`${this.baseURL}/abonents/${abonent._id}`)
      if (response.status === 204) {
        this.$router.push({ path: '/abonents' })
      } else {
        alert(response.data)
      }
    }
  }
}
</script>

<style scoped>

</style>
